DateGeneration Struct Reference
Date and time calculations

Date-generation rule. More...

`#include <ql/time/dategenerationrule.hpp>`

## Public Types

enum | Rule { Backward, Forward, Zero, ThirdWednesday, Twentieth, TwentiethIMM, OldCDS, CDS }

## Related Functions

(Note that these are not member functions.)
std::ostream & | operator<< (std::ostream &, DateGeneration::Rule)

## Detailed Description

Date-generation rule.

These conventions specify the rule used to generate dates in a Schedule.

## Friends And Related Function Documentation

std::ostream & operator<< | ( | std::ostream & | ,
|  | DateGeneration::Rule |
| ) |  |

related